org.restlet.engine.http.header

## Class ProductWriter

- java.lang.Object
- - org.restlet.engine.http.header.ProductWriter

    public class ProductWriter
    extends java.lang.Object

User agent header writer.

Author:
  Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`ProductWriter()`

### Method Summary

Methods
`static java.lang.String` `write(java.util.List<Product> products)` Formats the given List of Products to a String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProductWriter

    public ProductWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.List<Product> products)

Formats the given List of Products to a String.

Parameters:
  `products` - The list of products to format.
Returns:
  the List of Products as String.